// import 'package:get/get_state_manager/get_state_manager.dart';
import 'package:farm_tpf/custom_model/action_form/CommonData.dart';
import 'package:get/get.dart';

class ChangeDropdownController extends GetxController {
  CommonData? currentData;
  int? selectedId;
  String? selectedName;

  void initValue() {
    currentData = CommonData();
    selectedId = -1;
    selectedName = '';
    update();
  }

  void change(CommonData data) {
    currentData = data;
    selectedId = data.id;
    selectedName = data.name;
    update();
  }
}
